BEGIN dggERRH3


/////////////////////////////////////////
//convincing Elisandran, solo style
///////////////////////////////////////

IF ~ OR(6) ReputationGT(Player1,15) CheckStatGT(Player1,16,CHR) Class(Player1,PALADIN_ALL) Class(Player1,MONK) Class(Player1,CLERIC_ALL)~ THEN BEGIN 0
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~I'm here to request that you regularly donate to the Ilmateri temple. ~ GOTO donateSelf
END


IF ~~ THEN BEGIN donateSelf
	SAY ~I already help the lesser folk by being a knight!~
	++ ~Surely you realise that you have a responsibility to help the less fortunate, any way that you can? ~ GOTO selfSuccess
	++ ~Helping those in need certainly would further strengthen your spiritual wellbeing.~ GOTO selfSuccess
END

IF ~~ THEN BEGIN selfSuccess
	SAY ~Yes, you are correct, I am sure. Alright. By the Morninglord, I'll start donating regularly to the Ilmateri Temple. Now, I have duties to attend to. Good <DAY/NIGHT> to you.~
IF ~~ THEN DO ~
	AddJournalEntry(@5105, QUEST) EscapeArea() ActionOverride("ggTristan", EscapeArea()) SetGlobal("ggERMQstep", "Global", 6)~ EXIT
END


/////////////////////////////////////////
//convincing Elisandran, party style
///////////////////////////////////////

IF ~Or(3)InParty("Keldorn") InParty("Rasaad") InParty("Nalia") ~ THEN BEGIN 10
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~I'm here to request that you regularly donate to the Ilmateri temple. ~ GOTO donateKeldorn
END


CHAIN IF ~~ THEN dggERRH3 donateKeldorn
	~I already help people by being a knight of the Order! I donate my time plenty, I don't see why I need to donate my gold as well.~
	== KeldorJ IF ~InParty("Keldorn")~ THEN ~Do we not have a duty to help those in any way we can, Sir Elisandran?~
	== Rasaad IF ~InParty("Rasaad")~ THEN ~Helping those in need certainly would further strengthen your spiritual wellbeing.~
	== Rasaad IF ~InParty("Nalia")~ THEN ~Surely you realise that we have a responsibility to help the less fortunate however we can.~

END
	++ ~(Continue)~ GOTO partySuccess

APPEND dggERRH3

IF ~~ THEN BEGIN partySuccess
	SAY ~Yes, you are correct, I am sure. Alright. By the Morninglord, I'll start donating regularly to the Ilmateri Temple. Now, I have duties to attend to. Good <DAY/NIGHT> to you.~
IF ~~ THEN DO ~
	AddJournalEntry(@5105, QUEST) EscapeArea() ActionOverride("ggTristan", EscapeArea()) SetGlobal("ggERMQstep", "Global", 6)~ EXIT
END


/////////////////////////////////////////
//convincing Elisandran, quest style
///////////////////////////////////////

IF ~Global("ggERMQstep", "Global", 4) !ReputationGT(Player1,15) !CheckStatGT(Player1,16,CHR) !Class(Player1,PALADIN_ALL) !Class(Player1,MONK) !Class(Player1,CLERIC_ALL) !InParty("Keldorn") !InParty("Rasaad") !InParty("Nalia") ~ THEN BEGIN 20
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~I'm here to request that you regularly donate to the Ilmateri temple. ~ GOTO donateQuest
END

IF ~~ THEN BEGIN donateQuest
	SAY ~I already help the lesser folk by being a knight!~
	++ ~Surely you realise that you have a responsibility to help the less fortunate, any way that you can? ~ GOTO persuadeDuel
	++ ~Helping those in need certainly would further strengthen your spiritual wellbeing.~ GOTO persuadeDuel
END

IF ~~ THEN BEGIN persuadeDuel
	SAY ~I already help the lesser folk by being a knight!~
	++ ~Surely there is something I can do to convince you?~ GOTO 5
	++ ~Very well, I understand.~ GOTO 4
END

IF ~~ THEN BEGIN 5
	SAY ~Hmm... perhaps there is. My unwise squire accepted a duel against Squire Tristan. Squire Tristan.... would do well to learn restraint and that not everything need be solved by violence. It would be dishonorable to back out of the duel, but it is not dishonorable to have a champion to fight in your stead. Be my squire's champion and duel Squire Tristan. Regardless of the outcome, I shall begin donating regularly to the Ilmateri.~
	++ ~Consider it done.~ GOTO 6
	++ ~I don't think I want to do that.~ GOTO 4
END

IF ~~ THEN BEGIN 4
	SAY ~Hm.~ IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6
	SAY ~Duel Squire Tristan, and by Lathander, I will honor our agreement. Speak to Squire Tristan to duel him.~
IF ~~ THEN DO ~
	AddJournalEntry(@5104, QUEST) SetGlobal("ggERMQstep", "Global", 5)~ EXIT //doing small side-quest
END


//////////////////////////////////
//small quest
/////////////////////////////////
IF ~!Dead("ggTristan") Global("ggERMQstep", "Global", 5)~ THEN BEGIN 10
	SAY ~Do the duel. Speak with the Tristan.~ IF ~~ THEN EXIT
END

IF ~ OR(2) Dead("ggTristan") Global("ggERMQstep", "Global", 6)~ THEN BEGIN 10
	SAY ~Well, our business is concluded. I swear on Lathander.~
IF ~~ THEN DO ~
	AddJournalEntry(@5105, QUEST) EscapeArea() ActionOverride("ggTristan", EscapeArea()) SetGlobal("ggERMQstep", "Global", 6)~ EXIT
END
END


